Page MenuHomePhabricator

Archive the reCaptcha extension
Closed, ResolvedPublicRequest

Description

Reason
Does not work on MediaWiki 1.27 or above due to the changes in AuthManager introduced in 1.27. It's barely been touched since 2014 except drive by maintenance

ConfirmEdit (CAPTCHA extension) has the same (and maintained) functionality

Also, T204342#4742826 (November 2018)

@MGChecker @Liuxinyu970226 Yup, it was included into ConfirmEdit but it's also good ( at least it was ) to have a simpler captcha-only version. Still, I'd really like it to be upgraded eventually ( especially taking into account that reCaptcha 3 was released already by google ), but unfortunately I don't have enough time for it right now

To-do list

  • This task
    • Add maintainers of that extension as subscribers to this task (if they have no apparent Phabricator account, notify them on-wiki or via email if possible and note it here).
    • Add Phabricator project MediaWiki-extensions-reCaptcha as a tag for this task, and remove MediaWiki-extensions-Other as appropriate.
  • On-wiki documentation
    • Archive documentation on mediawiki.org (https://www.mediawiki.org/wiki/Extension:ReCaptcha): replace page contents with {{Archived extension|last revision id before archiving|ConfirmEdit|reason=Does not work on MediaWiki 1.27 or above due to the changes in AuthManager introduced in 1.27. Per {{phab|T250641}}.}}.
    • If documentation page was translatable, remove <translate>, visit Special:PageTranslation, and click "remove from translation" (if you don't have the translation administrator right, ask a user who does).
    • Update Wikidata item (https://www.wikidata.org/wiki/Q21678247) associated with documentation page
      • add statement Abandonware (Q281039) to instance of (P31) together with qualifier start time (P580) = the YYYY-MM-DD date that you decided to archive extension (generally per edit history)
      • add qualifier end time (P582) = the YYYY-MM-DD (same date as above) to instance of (P31) = MediaWiki extension (Q6805426)
  • Phabricator
    • Mark all Phabricator tasks for the extension either Declined or Invalid. Add a comment pointing to this task when doing so for reference.
    • Archive Phabricator project MediaWiki-extensions-reCaptcha for the extension.
    • Edit Phabricator project MediaWiki-extensions-reCaptcha description for the extension with a link to this ticket.
  • Translatewiki.net/translations
  • Configuration/tests/integrations/etc.
  • Repositories

Event Timeline

Reedy created this task.Apr 20 2020, 1:58 AM
Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptApr 20 2020, 1:58 AM
Reedy updated the task description. (Show Details)Apr 20 2020, 1:59 AM
Reedy edited projects, added MediaWiki-extensions-reCaptcha; removed Other-skins.
Reedy updated the task description. (Show Details)Apr 20 2020, 2:01 AM
Reedy removed a project: MediaWiki-extensions-Other.
Reedy added a subscriber: MGChecker.
Dinoguy1000 updated the task description. (Show Details)Apr 20 2020, 4:32 AM

Change 593023 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/reCaptcha@master] Archive repo

https://gerrit.wikimedia.org/r/593023

Change 593023 merged by Jforrester:
[mediawiki/extensions/reCaptcha@master] Archive repo

https://gerrit.wikimedia.org/r/593023

Change 593025 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions@master] Drop reCaptha, now archived

https://gerrit.wikimedia.org/r/593025

Change 593025 merged by Jforrester:
[mediawiki/extensions@master] Drop reCaptha, now archived

https://gerrit.wikimedia.org/r/593025

Change 593027 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Zuul: [mediawiki/extensions/reCaptcha] Mark as archived

https://gerrit.wikimedia.org/r/593027

Change 593027 merged by jenkins-bot:
[integration/config@master] Zuul: [mediawiki/extensions/reCaptcha] Mark as archived

https://gerrit.wikimedia.org/r/593027

Mentioned in SAL (#wikimedia-releng) [2020-04-28T18:20:26Z] <James_F> Zuul: [mediawiki/extensions/reCaptcha] Mark as archived T250641

Jdforrester-WMF closed this task as Resolved.Apr 28 2020, 6:25 PM
Jdforrester-WMF updated the task description. (Show Details)